## org.apache.http.impl.conn
Class DefaultHttpResponseParser

    java.lang.Object
      org.apache.http.impl.io.AbstractMessageParser<HttpResponse>
          org.apache.http.impl.conn.DefaultHttpResponseParser

All Implemented Interfaces:
  HttpMessageParser<HttpResponse>

    @ThreadSafe
    public class DefaultHttpResponseParser

extends AbstractMessageParser<HttpResponse>

Default HTTP response parser implementation.

The following parameters can be used to customize the behavior of this class:

- `CoreConnectionPNames.MAX_HEADER_COUNT`
- `CoreConnectionPNames.MAX_LINE_LENGTH`

Since:
  4.2

Field Summary

Fields inherited from class org.apache.http.impl.io.AbstractMessageParser
`lineParser`

Constructor Summary
`DefaultHttpResponseParser(SessionInputBuffer buffer, LineParser parser, HttpResponseFactory responseFactory, HttpParams params)`

Method Summary
`protected HttpResponse` `parseHead(SessionInputBuffer sessionBuffer)`
`protected boolean` `reject(CharArrayBuffer line, int count)`

Methods inherited from class org.apache.http.impl.io.AbstractMessageParser
`parse, parseHeaders, parseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHttpResponseParser

    public DefaultHttpResponseParser(SessionInputBuffer buffer,
                                     LineParser parser,
                                     HttpResponseFactory responseFactory,
                                     HttpParams params)

Method Detail

### parseHead

    protected HttpResponse parseHead(SessionInputBuffer sessionBuffer)
                              throws IOException,
                                     HttpException

  Specified by:
    `parseHead` in class `AbstractMessageParser<HttpResponse>`
  Throws:
    `IOException`
    `HttpException`

### reject

    protected boolean reject(CharArrayBuffer line,
                             int count)

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.